Login | Sign up | Toll-Free: 1-800-752-0455



By Dave - August 26, 2009 - edited: August 31, 2009

Hello All,

These patched files fix some reported IE8 layout issues and upgrade the wysiwyg to tinymce so it works in Firefox and other browsers.

To install, do the following:
- Backup your current artman directory
- Download and unzip the attached file
- Upload the files in the zip over top of the existing files
- Clear your browser cache and re-load the admin

Hope that helps!

Update: Please note that the updated wysiwyg doesn't support ASP/PHP code within the wysiwyg. And generally you should never do that anyway (there's almost always better ways). So if you need that functionality don't upgrade.
Dave Edis - Senior Developer

Re: [Dave] Notice: Artman 2.16 patch for wysiwyg & IE8

By Donna - August 27, 2009 - edited: March 24, 2010

Hey folks! Found a minor typo in one of the updated templates. The attached zip has the correct version. If you're having any trouble with the previous patch, download this version and replace this file:


That'll fix it right up. :)

Edit: Grab Chris's new version instead! Uses a newer version which fixes a bug in TinyMCE.


Re: [Donna] Notice: Artman 2.16 patch for wysiwyg & IE8

Hello everyone,

I've updated this patch with the latest version of TinyMCE (3.3.1) which fixes the intermittent JavaScript error that some users have been getting while using IE and Chrome.
All the best,

Re: [chris] Notice: Artman 2.16 patch for wysiwyg & IE8

We're currently using the latest tinymce (as of March 26, 2010) but if anyone would like to upgrade their tinymce in future here's some instructions on how to do that:

- Download tinymce from here: http://tinymce.moxiecode.com/download.php
- Unzip it and copy the files under: /tinymce/jscripts/tiny_mce
- To your artman under: /webroot/artman2/wysiwyg/

If you have problems after upgrading:
- Press the reload button and/or clear your browser cache

Hope that helps!
Dave Edis - Senior Developer